@import url('https://fonts.googleapis.com/css2?family=Agbalumo&display=swap');

*{
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    font-family: Agbalumo;
    color: rgb(169 53 92);
    overflow: hidden;
}

body{
    background-image: linear-gradient(to top, #d299c2 0%, #fef9d7 100%);
    height: 100vh;
}

.meme-generator{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 1rem;
    margin-top: 1rem;
}

.generate-meme-btn{
    margin-top: 20px;
    padding: 0px 20px;
    text-transform: uppercase;
    font-size: 19px;
    width: 200px;
    height: 40px;
    color: rgb(156, 5, 106);
    font-weight: 700;
    border: 1px solid rgb(156, 5, 106);
    border-radius: 20px;
    overflow: hidden;
    cursor: pointer;
    position: relative;
    background-image: linear-gradient(120deg, transparent, rgb(236, 141, 157), transparent);
}


.generate-meme-btn:hover{
    box-shadow: 0px 0px 30px rgb(236, 141, 157);
    transition: 0.2s;
}


.meme-title{
    margin: 2rem;
}

.meme-generator img{
    height: 60vh;
}

.meme-author{
    padding-top: 10px;
    font-size: 20px;
}

footer{
    text-align: center;
    font-size: larger;
}

footer a{
    text-decoration: none;
}

@media (max-width: 600px) {
    .generate-meme-btn {
        font-size: 14px;
        width: 80%;
    }

    .meme-generator img{
        height: 50vh;
        width: 91vw;
    }

    .meme-title {
        font-size: 18px;
    }
}